DIFF3(1)

NAMN
diff3 - jämför tre filer rad för rad

SYNOPSIS
diff3 [FLAGGA]... MINFIL GAMMALFIL DINFIL

BESKRIVNING
Jämför tre filer rad för rad.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-A, --show-all
    Skriv alla ändringar med markering runt konflikter.

-e, --ed
    Skriv ut ett ed(1)-skript som innehåller ändringar från GAMMALFIL till DINFIL i MINFIL.

-E, --show-overlap
    Som -e, men med markeringar runt konflikter.

-3, --easy-only
    Som -e, men tag endast med ej överlappande ändringar.

-x, --overlap-only
    Som -e, men tag endast med överlappande ändringar.

-X  Som -x, men skriv klamrar om konflikter.

-i  Lägg till ”w”- och ”q”-kommandon till ed(1)-skript.

-m, --merge
    Skriv ut en faktiskt sammanslagen fil, enligt -A om inga andra flaggor ges.

-a, --text
    Betrakta alla filer som text.

--strip-trailing-cr
    Tag bort avslutande vagnreturer i indata.

-T, --initial-tab
    Justera tabulatorer genom att skjuta in en tabulator.

--diff-program=PROGRAM
    Använd PROGRAM för att jämföra filer.

-L, --label=ETIKETT
    Använd ETIKETT istället för filnamn (kan upprepas upp till tre gånger).

--help
    visa denna hjälp och avsluta

-v, --version
    visa versionsinformation och avsluta

Standardformatet för utskrift är en något så när mänskligt läsbar representation av ändringarna.

Flaggorna -e, -E, -x, -X (och motsvarande långa) gör att ett ed-skript skrivs ut istället för standardtext.

Slutligen får flaggan -m (--merge) diff3 att göra sammanslagningen internt och skriva ut den faktiskt sammanslagna filen. För ovanlig indata är detta mer robust än att använda ed(1).

Om en FIL är ”-”, läs standard in. Slutstatus är 0 om allt bra, 1 vid konflikt, 2 vid problem.

UPPHOVSMAN
Skrivet av Randy Smith.

RAPPORTERA FEL
Rapportera fel till: <bug-diffutils@gnu.org>; rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.
GNU diffutils hemsida: <https://www.gnu.org/software/diffutils/>
Allmän hjälp med att använda GNU-program: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2021 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
cmp(1), diff(1), sdiff(1)

Den fullständiga dokumentationen för diff3 underhålls som en Texinfo-manual. Om programmen info och diff3 är ordentligt installerade på ditt system, bör kommandot

    info diff3

ge dig tillgång till den kompletta manualen.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.